## ust 2.12.0

=== debian/changelog ===
ust (2.12.0-2) unstable; urgency=medium

  * [bfe9499] Add patch to build on archs with urcu tls compat

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 09 Apr 2020 16:14:24 -0400

ust (2.12.0-1) unstable; urgency=medium

  * [017e2c2] New upstream version 2.12.0
  * [b0bdeb4] Drop patch applied upstream
  * [395d481] Update symbols for 2.12
  * [8c16113] Add Rules-Requires-Root to d/control
  * [d94b69a] Update d/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 08 Apr 2020 14:34:41 -0400

ust (2.11.1-1) unstable; urgency=medium

  * [f5f3f39] New upstream version 2.11.1
  * [279c100] Remove erroneously exported symbol in liblttng-ust-fd.so

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 05 Mar 2020 16:55:38 -0500
