=== debian/changelog ===
ust (2.12.1-1) unstable; urgency=medium

  * [3b6a5b7] New upstream version 2.12.1
  * [cf25c3b] Drop patch applied upstream

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 18 Feb 2021 14:07:33 -0500
