=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
   dpkg-dev (>= 1.16.1),
   javahelper <!nojava>,
   liblog4j1.2-java <!nojava>,
-  liburcu-dev (>= 0.11~),
+  liburcu-dev (>= 0.12~),
   libnuma-dev,
   python3,
   python3-distutils,
   texinfo,
   uuid-dev
 Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
 Vcs-Browser: https://salsa.debian.org/debian/ust
