=== doc/examples/java-log4j/Makefile ===
--- 
+++ 
@@ -1,14 +1,6 @@
+# SPDX-License-Identifier: LGPL-2.1-only
 #
-# Copyright (C) 2014 - Christian Babeux <christian.babeux@efficios.com>
-#
-# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR
-# IMPLIED. ANY USE IS AT YOUR OWN RISK.
-#
-# Permission is hereby granted to use or copy this program for any purpose,
-# provided the above notices are retained on all copies.  Permission to modify
-# the code and to distribute modified code is granted, provided the above
-# notices are retained, and a notice that the code was modified is included
-# with the above copyright notice.
+# Copyright (C) 2014 Christian Babeux <christian.babeux@efficios.com>
 #
 # This Makefile is not using automake so that users may see how to build a
 # program with tracepoint provider probes as stand-alone shared objects.
