=== debian/changelog ===
ust (2.13.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
  * Added changes:
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP: #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 22 Dec 2021 19:46:51 -0300

ust (2.13.1-1) unstable; urgency=medium

  * [fb6e972] New upstream version 2.13.1
  * [13ccf7e] Update symbols for 2.13.1

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 10 Dec 2021 16:28:57 -0500

ust (2.13.0-3) unstable; urgency=medium

  * [162fee1] d/symbols: m68k and riscv64 use compiler tls for urcu

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 01 Nov 2021 14:57:56 -0400

ust (2.13.0-2) unstable; urgency=medium

  * [d05e027] Add missing builddep on pkg-config

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 22 Oct 2021 11:33:57 -0400

ust (2.13.0-1) unstable; urgency=medium

  * [4b18941] Bump watch file version to 4
  * [8f5b2a1] New upstream version 2.13.0
  * [44e63fd] Refreshed patches for 2.13
  * [da58f5e] SONAME bump from 0 to 1
  * [df1ca78] Update copyright file
  * [1943815] Add lintian overrides for prebuilt test artifacts
  * [12ba374] Update to debhelper compat 12

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 22 Oct 2021 10:54:21 -0400

ust (2.12.1-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against liburcu8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 01:15:12 +0000

ust (2.12.1-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:04 +0200

ust (2.12.1-1ubuntu1) hirsute; urgency=medium

  * Mark symbols as optional not seen when building with lto.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Mar 2021 11:34:43 +0100
