## ust 2.13.4

=== debian/changelog ===
ust (2.13.4-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 24 Aug 2022 09:27:20 -0300

ust (2.13.4-1) unstable; urgency=medium

  * [99d1f58] New upstream version 2.13.4
  * [cfbad03] Update source lintian overrides
  * [7f34a28] Update debian copyright
  * [5690f4a] Bump standards version to 4.6.1.0

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 23 Aug 2022 14:44:23 -0400

ust (2.13.3-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1977751). Remaining changes:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 29 Jul 2022 16:44:52 -0300

ust (2.13.3-1) unstable; urgency=medium

  * [92abdd1] New upstream version 2.13.3

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 03 Jun 2022 16:37:11 -0400

ust (2.13.2-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 04 May 2022 17:43:54 -0300

ust (2.13.2-1) unstable; urgency=medium

  * [52c4ecd] New upstream version 2.13.2
  * [1e10379] Refresh patches
  * [4e70775] Update debian/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 28 Mar 2022 17:09:53 -0400
