=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   python3-distutils,
   texinfo,
   uuid-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
