## ust 2.13.5

=== doc/examples/java-jul/Makefile ===
--- 
+++ 
@@ -40,4 +40,4 @@
 
 .PHONY: clean
 clean:
-	$(RM) *.class
+	$(RM) $(CLASSES:.java=.class)
