=== debian/changelog ===
ust (2.13.5-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)
  * Dropped:
    - d/liblttng-ust-python-agent1.symbols, d/liblttng-ust1.symbols: Mark
      symbols as optional not seen when building with lto.
      [In Debian 2.13.5-1]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 22 Dec 2022 13:45:13 -0300

ust (2.13.5-1) unstable; urgency=medium

  * [cfba21e] New upstream version 2.13.5
  * [d010dfc] Mark LTO optional symbols (Closes: #1015698)
  * [f3bb02e] Disable java on hppa (Closes: #1010875)
  * [5e3f226] Refresh jni libdir patch

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 11 Oct 2022 10:40:04 -0400
