## ust 2.13.6

=== debian/changelog ===
ust (2.13.6-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: set UST_TESTS_LD_SYMBOLIC_FUNC during the test run to skip
      tests that do not work with the -Wl,-Bsymbolic-functions linker
      option (LP #1953065)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 01 Aug 2023 18:02:47 -0300

ust (2.13.6-2) unstable; urgency=medium

  * [ec5d2be] Set python install layout to 'deb'

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 13 Jun 2023 14:42:45 -0400

ust (2.13.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [1bbb9e3] Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * [2002ca8] Set upstream metadata fields: Bug-Submit (from ./configure).
  * [9b6ee2f] Remove obsolete fields Contact, Name from
    debian/upstream/metadata (already present in machine-readable
    debian/copyright).
  * [2e13d21] Remove constraints unnecessary since buster (oldstable)

  [ Michael Jeanson ]
  * [ed95f59] New upstream version 2.13.6

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 13 Jun 2023 14:18:25 -0400
