=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 12),
   default-jdk [!hppa] <!nojava> | default-jdk-headless [!hppa] <!nojava>,
   dh-python,
-  dpkg-dev (>= 1.16.1),
   javahelper [!hppa] <!nojava>,
   liblog4j1.2-java [!hppa] <!nojava>,
   libnuma-dev,
