=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_PYTHON_INSTALL_LAYOUT = deb
 
 %:
 	dh $@ --with=python3 $(EXTRA_DH_OPTS)
