## ust 2.13.7

=== debian/changelog ===
ust (2.13.7-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:31:05 +0000

ust (2.13.7-1.1ubuntu1) noble; urgency=medium

  * Drop build-dependency on obsolete python3-distutils.  Closes: #1065994.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Mar 2024 01:14:59 +0000

ust (2.13.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063038

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:29:22 +0000

ust (2.13.7-1) unstable; urgency=medium

  * [5f3b9a6] New upstream version 2.13.7
  * [280b137] Drop patch merged upstream

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 11 Jan 2024 10:55:32 -0500

ust (2.13.6-3) unstable; urgency=medium

  [ Michael Jeanson ]
  * [33be613] Add lintian override for JNI RUNPATH

  [ Andreas Hasenack ]
  * [4202827] Adjust test if -Wl,-Bsymbolic-functions is used

  [ Michael Jeanson ]
  * [bd6978f] Update salsa-ci config
  * [98d9799] Fix salsa-ci.yaml syntax
  * [6709a6a] Fix clean target (Closes: #1047714)

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 17 Oct 2023 16:08:22 -0400
