=== debian/rules ===
--- 
+++ 
@@ -55,3 +55,7 @@
 else
 	dh_auto_test
 endif
+
+execute_after_dh_auto_clean:
+	rm -f src/python-lttngust/installed_files.txt
+	rm -rf src/python-lttngust/lttngust.egg-info
