=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://lttng.org/files/lttng-ust/lttng-ust-([\d\.]*)\.tar\.(?:gz|bz2)
