## ust 2.13.8

=== debian/changelog ===
ust (2.13.8-2) unstable; urgency=medium

  * [a940c81] Replace distutils with setuptools for python 3.12
    (Closes: #1065994)
  * [637c1bb] Bump standards version to 4.7.0
  * [5c5f577] Fix liblttng-ust1t64 lintian override

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 11 Jul 2024 15:56:21 -0400

ust (2.13.8-1) unstable; urgency=medium

  * [7c3b8b8] New upstream version 2.13.8
  * [7b36cce] d/symbols: add new symbols for 2.13.8
  * [d1e193a] Refresh upstream signing key
  * [69956b0] d/control: update buildep from pkg-config to pkgconf
  * [6e7ea87] Add 'Forwarded' tag to patches

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 22 Apr 2024 15:22:39 -0400
