=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ust
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
   default-jdk [!hppa] <!nojava> | default-jdk-headless [!hppa] <!nojava>,
@@ -10,11 +9,12 @@
   liblog4j1.2-java [!hppa] <!nojava>,
   libnuma-dev,
   liburcu-dev (>= 0.12~),
-  pkg-config,
+  pkgconf,
   python3-all,
+  python3-setuptools,
   texinfo,
   uuid-dev
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
